(window["webpackJsonp"] = window["webpackJsonp"] || []).push([["default~pages-book-book-module~pages-home-home-module~pages-import-note-result-import-note-result-mo~a98ccc87"],{

/***/ "./src/app/services/helper/import/douban.ts":
/*!**************************************************!*\
  !*** ./src/app/services/helper/import/douban.ts ***!
  \**************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "default", function() { return importFromDouban; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var src_app_entities_models_note__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! src/app/entities/models/note */ "./src/app/entities/models/note.ts");
/* harmony import */ var _misc__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./misc */ "./src/app/services/helper/import/misc.ts");



function importFromDouban(clipping, storage) {
    return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
        let duplicateCnt = 0;
        let importedCnt = 0;
        let pendingNotes = [];
        const pendingBooks = (yield storage.getAllBooks()).slice();
        const rawRecords = clipping.split('\n\n> ');
        if (rawRecords.length < 2) {
            return [];
        }
        const titleLine = rawRecords[0].split('\n\n');
        if (titleLine.length < 2) {
            return [];
        }
        const titleMatch = titleLine[0].match(/《(.*)》/);
        if (!titleMatch || titleMatch.length < 2) {
            return [];
        }
        const title = titleMatch[1];
        let book = Object(_misc__WEBPACK_IMPORTED_MODULE_2__["getOrCreateBook"])(title, '', pendingBooks);
        yield Promise.all(rawRecords.slice(1, rawRecords.length)
            .map((raw) => Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            if (!raw) {
                return;
            }
            const lines = raw.split('\n\n');
            if (lines.length < 1) {
                return;
            }
            const citation = lines[0].trim();
            let thoughts = lines.length > 1 && !lines[1].startsWith('## ')
                ? lines[1].trim()
                : null;
            const note = new src_app_entities_models_note__WEBPACK_IMPORTED_MODULE_1__["Note"]({
                citation,
                thoughts,
                createdTime: new Date(),
                book: book,
                isFromImport: true
            });
            if (yield storage.isNoteDuplicated(note, book)) {
                ++duplicateCnt;
            }
            else if (pendingNotes.length > 0
                && pendingNotes[pendingNotes.length - 1].citation === citation) {
                // 豆瓣阅读笔记可能会有连续两条引用相同，但前者没有评论，后者后评论。
                // 这时，只导入后面一条笔记
                pendingNotes = pendingNotes.splice(pendingNotes.length - 1, 1);
            }
            else {
                ++importedCnt;
                pendingNotes.push(note);
            }
        })));
        return pendingNotes;
    });
}


/***/ }),

/***/ "./src/app/services/helper/import/kindle.ts":
/*!**************************************************!*\
  !*** ./src/app/services/helper/import/kindle.ts ***!
  \**************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "default", function() { return importFromKindle; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var src_app_entities_models_note__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! src/app/entities/models/note */ "./src/app/entities/models/note.ts");
/* harmony import */ var _misc__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./misc */ "./src/app/services/helper/import/misc.ts");



function importFromKindle(clipping, storage) {
    return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
        let duplicateCnt = 0;
        let importedCnt = 0;
        const pendingNotes = [];
        const pendingBooks = (yield storage.getAllBooks()).slice();
        const rawRecords = clipping.split('==========');
        yield Promise.all(rawRecords.map((raw) => Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            if (!raw) {
                return;
            }
            const lines = raw.split('\n');
            if (lines.length < 2) {
                return;
            }
            let lineId = 0;
            const getNextLine = () => {
                ++lineId;
                while (lineId < lines.length && (!lines[lineId] || lines[lineId].trim() === '')) {
                    ++lineId;
                }
                if (lineId >= lines.length) {
                    return null;
                }
                return lines[lineId];
            };
            const titleLine = getNextLine();
            if (!titleLine) {
                return;
            }
            // TODO: this may not work for other languages
            const authorId = titleLine.lastIndexOf(' (');
            let title = authorId >= 0 ? titleLine.slice(0, authorId) : '（未知书籍）';
            const splitList = [':', '：', '(', '（', '{', '【', ' ', '—', '·'];
            splitList.forEach(split => {
                const id = title.indexOf(split);
                if (id >= 0) {
                    title = title.substr(0, id);
                }
            });
            let author = authorId >= 0 ? titleLine.slice(authorId + 2, titleLine.length - 1) : '';
            const authorSuffixId = author.indexOf(')');
            if (authorSuffixId >= 0) {
                author = author.substring(0, authorSuffixId);
            }
            const timeLine = getNextLine();
            const content = getNextLine();
            if (!timeLine || !content) {
                return;
            }
            const book = Object(_misc__WEBPACK_IMPORTED_MODULE_2__["getOrCreateBook"])(title, author, pendingBooks);
            pendingBooks.push(book);
            const timeId = timeLine.indexOf('添加于 ');
            const time = timeLine.slice(timeId + '添加于 '.length)
                .replace('年', '/').replace('月', '/').replace('日', '')
                .replace(/星期\S+/, '').replace(/上午/, '').replace(/下午/, '');
            const note = new src_app_entities_models_note__WEBPACK_IMPORTED_MODULE_1__["Note"]({
                citation: content,
                createdTime: new Date(time),
                book: book,
                isFromImport: true
            });
            // TODO: isNoteDuplicated(note, book) ?
            if (yield storage.isNoteDuplicated(note)) {
                // console.log('duplicate：' + note.citation);
                ++duplicateCnt;
            }
            else {
                // console.log('imported: ' + note.citation);
                ++importedCnt;
                pendingNotes.push(note);
            }
        })));
        return pendingNotes;
    });
}


/***/ }),

/***/ "./src/app/services/helper/import/misc.ts":
/*!************************************************!*\
  !*** ./src/app/services/helper/import/misc.ts ***!
  \************************************************/
/*! exports provided: getOrCreateBook */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "getOrCreateBook", function() { return getOrCreateBook; });
/* harmony import */ var src_app_entities_models_book__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! src/app/entities/models/book */ "./src/app/entities/models/book.ts");

function getOrCreateBook(title, author, pendingBooks) {
    for (let b of pendingBooks) {
        if (b.autoImportTitle === title || title === b.title) {
            return b;
        }
    }
    // no book with this title, create one
    const book = new src_app_entities_models_book__WEBPACK_IMPORTED_MODULE_0__["Book"]({
        title: title,
        autoImportTitle: title,
        author: author,
        isArchived: true
    });
    return book;
}


/***/ }),

/***/ "./src/app/services/import.service.ts":
/*!********************************************!*\
  !*** ./src/app/services/import.service.ts ***!
  \********************************************/
/*! exports provided: ImportService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ImportService", function() { return ImportService; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js");
/* harmony import */ var _ionic_angular__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @ionic/angular */ "./node_modules/@ionic/angular/__ivy_ngcc__/fesm2015/ionic-angular.js");
/* harmony import */ var _ionic_native_web_server_ngx__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @ionic-native/web-server/ngx */ "./node_modules/@ionic-native/web-server/__ivy_ngcc__/ngx/index.js");
/* harmony import */ var _ionic_native_network_interface_ngx__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @ionic-native/network-interface/ngx */ "./node_modules/@ionic-native/network-interface/__ivy_ngcc__/ngx/index.js");
/* harmony import */ var _utils_env__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../utils/env */ "./src/app/utils/env.ts");
/* harmony import */ var _utils_array__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../utils/array */ "./src/app/utils/array.ts");
/* harmony import */ var _utils_mock_kindleServer__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../utils/mock/kindleServer */ "./src/app/utils/mock/kindleServer.ts");
/* harmony import */ var _utils_mock_kindleClipping__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../utils/mock/kindleClipping */ "./src/app/utils/mock/kindleClipping.ts");
/* harmony import */ var _storage_service__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./storage.service */ "./src/app/services/storage.service.ts");
/* harmony import */ var _nav_service__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./nav.service */ "./src/app/services/nav.service.ts");
/* harmony import */ var _analytics_service__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./analytics.service */ "./src/app/services/analytics.service.ts");
/* harmony import */ var _helper_import_kindle__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ./helper/import/kindle */ "./src/app/services/helper/import/kindle.ts");
/* harmony import */ var _utils_mock_doubanServer__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ../utils/mock/doubanServer */ "./src/app/utils/mock/doubanServer.ts");
/* harmony import */ var _utils_mock_doubanClipping__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ../utils/mock/doubanClipping */ "./src/app/utils/mock/doubanClipping.ts");
/* harmony import */ var _helper_import_douban__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ./helper/import/douban */ "./src/app/services/helper/import/douban.ts");
/* harmony import */ var _sync_service__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! ./sync.service */ "./src/app/services/sync.service.ts");

















let ImportService = class ImportService {
    constructor(webServer, networkInterface, storage, alert, toast, navService, analytics, loading, sync) {
        this.webServer = webServer;
        this.networkInterface = networkInterface;
        this.storage = storage;
        this.alert = alert;
        this.toast = toast;
        this.navService = navService;
        this.analytics = analytics;
        this.loading = loading;
        this.sync = sync;
        this.isServerStarted = false;
        this.port = 8012;
        this.pendingNotes = [];
    }
    onLeave() {
        this._unsubscribeServer();
        this.stopWebServer();
    }
    startWebServer(importSource, onReceive) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            this.analytics.logEvent('import_notes', 'start_web_server');
            this._subscribeServer(importSource, onReceive);
            try {
                yield this.webServer.start(this.port);
                this.analytics.logEvent('import_notes', 'start_web_server_ok');
                this.isServerStarted = true;
                return true;
            }
            catch (e) {
                console.error(e);
                return false;
            }
        });
    }
    stopWebServer() {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            if (this.isServerStarted) {
                try {
                    this._unsubscribeServer();
                    yield this.webServer.stop();
                    this.isServerStarted = false;
                }
                catch (e) {
                    console.error(e);
                }
            }
        });
    }
    getIp() {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            if (Object(_utils_env__WEBPACK_IMPORTED_MODULE_5__["isDebug"])()) {
                return '';
            }
            const addr = yield this.networkInterface.getWiFiIPAddress();
            if (addr.ip === '0.0.0.0') {
                return null;
            }
            return addr.ip + ':' + this.port;
        });
    }
    // async confirmImport(notes: Note[]) {
    //   for (let i = 0; i < notes.length; ++i) {
    //     await this.storage.addNote(notes[i], true);
    //   }
    //   arrayUtil.reset(this.pendingNotes);
    //   this.storage.localSave();
    //   // TODO
    //   const syncList = notes.map(note => new ModelOperation(
    //     note, ModelOperationType.Add
    //   ));
    //   // TODO: bug: alert async
    //   const alert = await this.alert.create({
    //     header: '导入笔记成功！',
    //     message: '请在首页的「查看所有图书」查看导入的内容',
    //     // message: `成功导入笔记${importedCnt}条`
    //       // + (duplicateCnt ? `，<br>忽略重复笔记${duplicateCnt}条` : ''),
    //     buttons: [{
    //       role: 'cancel',
    //       text: '好的'
    //     }]
    //   });
    //   await alert.present();
    // }
    _isDuplicate(citation, allNotes) {
        allNotes.forEach(note => {
            if (note.citation === citation) {
                return true;
            }
        });
        return false;
    }
    _subscribeServer(importSource, onReceive) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            if (Object(_utils_env__WEBPACK_IMPORTED_MODULE_5__["isDebug"])()) {
                setTimeout(() => Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
                    const clipping = importSource === 'kindle' ? _utils_mock_kindleClipping__WEBPACK_IMPORTED_MODULE_8__["default"] : _utils_mock_doubanClipping__WEBPACK_IMPORTED_MODULE_14__["default"];
                    yield this._onImport(importSource, clipping);
                    onReceive();
                }), 3000);
                return;
            }
            this._unsubscribeServer();
            this.webServerRequstSubscription = this.webServer.onRequest()
                .subscribe((req) => Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
                if (req.path === '/') {
                    const res = {
                        status: 200,
                        body: importSource === 'kindle' ? _utils_mock_kindleServer__WEBPACK_IMPORTED_MODULE_7__["default"] : _utils_mock_doubanServer__WEBPACK_IMPORTED_MODULE_13__["default"],
                        headers: {
                            'Content-Type': 'text/html',
                            'Access-Control-Allow-Origin': '*'
                        }
                    };
                    this.webServer.sendResponse(req.requestId, res);
                }
                else if (req.method === 'POST' && (req.path === '/importKindle' || req.path === '/importDouban')) {
                    const data = getPostData(req.body);
                    if (!data) {
                        const res = {
                            status: 400,
                            body: `{
                message: "Bad post data."
              }`,
                            headers: {
                                'Content-Type': 'text/json',
                                'Access-Control-Allow-Origin': '*'
                            }
                        };
                        this.webServer.sendResponse(req.requestId, res);
                    }
                    else {
                        const res = {
                            status: 200,
                            body: `{
                message: "Notes received."
              }`,
                            headers: {
                                'Content-Type': 'text/json',
                                'Access-Control-Allow-Origin': '*'
                            }
                        };
                        this.webServer.sendResponse(req.requestId, res);
                        yield this._onImport(importSource, data);
                        onReceive();
                    }
                }
            }));
        });
    }
    _onImport(importSource, clipping) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const loading = yield this.loading.create({
                message: '接收到文件，处理中……'
            });
            _utils_array__WEBPACK_IMPORTED_MODULE_6__["reset"](this.pendingNotes);
            try {
                let pendingNotes = [];
                switch (importSource) {
                    case 'kindle':
                        pendingNotes = yield Object(_helper_import_kindle__WEBPACK_IMPORTED_MODULE_12__["default"])(clipping, this.storage);
                        break;
                    case 'douban':
                        pendingNotes = yield Object(_helper_import_douban__WEBPACK_IMPORTED_MODULE_15__["default"])(clipping, this.storage);
                        break;
                }
                _utils_array__WEBPACK_IMPORTED_MODULE_6__["restore"](this.pendingNotes, pendingNotes);
            }
            catch (e) {
                const alert = yield this.alert.create({
                    header: '导入失败！',
                    message: '请联系管理员 me@zhangwenli.com',
                    buttons: [{
                            role: 'cancel',
                            text: '好的'
                        }]
                });
                yield alert.present();
            }
            yield loading.dismiss();
            this.analytics.logNav('import_notes', 'import_note_result');
            this.navService.push('/import-note-result');
        });
    }
    _unsubscribeServer() {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            if (this.webServerRequstSubscription) {
                this.webServerRequstSubscription.unsubscribe();
            }
        });
    }
};
ImportService.ctorParameters = () => [
    { type: _ionic_native_web_server_ngx__WEBPACK_IMPORTED_MODULE_3__["WebServer"] },
    { type: _ionic_native_network_interface_ngx__WEBPACK_IMPORTED_MODULE_4__["NetworkInterface"] },
    { type: _storage_service__WEBPACK_IMPORTED_MODULE_9__["StorageService"] },
    { type: _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["AlertController"] },
    { type: _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["ToastController"] },
    { type: _nav_service__WEBPACK_IMPORTED_MODULE_10__["NavService"] },
    { type: _analytics_service__WEBPACK_IMPORTED_MODULE_11__["AnalyticsService"] },
    { type: _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["LoadingController"] },
    { type: _sync_service__WEBPACK_IMPORTED_MODULE_16__["SyncService"] }
];
ImportService = Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"])([
    Object(_angular_core__WEBPACK_IMPORTED_MODULE_1__["Injectable"])({
        providedIn: 'root'
    })
], ImportService);

function getPostData(body) {
    if (!body) {
        return null;
    }
    try {
        const obj = JSON.parse(body);
        return obj.text;
    }
    catch (e) {
        return null;
    }
}


/***/ }),

/***/ "./src/app/utils/mock/doubanClipping.ts":
/*!**********************************************!*\
  !*** ./src/app/utils/mock/doubanClipping.ts ***!
  \**********************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony default export */ __webpack_exports__["default"] = (`#《皮格马利翁效应》的批注与划线

在豆瓣阅读书店查看： https://read.douban.com/ebook/18109716/
本作品由 华章数媒 授权豆瓣阅读全球范围内电子版制作与发行。
© 版权所有，侵权必究。


## 章节：致谢


> 只有检验进行中的真实生活，才能推进对人类体验的理解。但是这并非没有代价。


> 只有检验进行中的真实生活，才能推进对人类体验的理解。但是这并非没有代价。

这是我的感想。


> 我感谢耶路撒冷希伯来大学高级研究院

第二个感想  感想中间可能换行。   也可能换很多行。


## 章节：译者后记


> 本书第一、第二、第三、第四、第六章主要是由高榕翻译，第五、第七章由温旻翻译，温旻对全书做了统稿。鉴于水平所限，疏漏谬误之处请各位读者见谅并指正。


> 皮格马利翁创造了少女雕像，并爱上了她。希望有兴趣的读者能把这本书带回去，在阅读中喜欢上它。`);


/***/ }),

/***/ "./src/app/utils/mock/doubanServer.ts":
/*!********************************************!*\
  !*** ./src/app/utils/mock/doubanServer.ts ***!
  \********************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony default export */ __webpack_exports__["default"] = (`
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>众山小 · 导入豆瓣阅读笔记</title>

  <style>
    body {
      background: #FAFBFF;
      padding: 20px 40px;
    }

    .content {
      max-width: 600px;
      margin: 0 auto;
    }

    h1 {
      text-align: center;
      color: #2B3C87;
      font-size: 22px;
      margin: 30px 0 50px 0;
    }

    h2 {
      margin: 20px 0 10px 0;
      font-size: 18px;
      color: #2A3566;
    }

    #drag-file {
      width: 100%;
      height: 130px;
      margin: 20px 0;
      padding: 50px;
      box-sizing: border-box;
      border-radius: 12px;
      background: none;
      text-align: center;
      border: 2px dashed #DFE5F6;
      background-color: #FAFBFF;
      color: #4853A7;
    }

    .center {
      text-align: center;
    }

    #upload {
      display: none;
    }

    button {
      padding: 10px 50px;
      font-size: 16px;
      border-radius: 8px;
      border: none;
      color: #fff;
      background-color: #4853A7;
    }

    p {
      margin: 20px 0 5px 0;
      color: #7B8095;
    }
  </style>
</head>

<body ondrop="dropHandler(event)" ondragover="dragOverHandler(event)">
  <div class="content">
    <h1>众山小 · 导入豆瓣阅读笔记</h1>

    <h2>第一步：在电脑上访问豆瓣阅读，打开一本准备导出笔记的书</h2>

    <h2>第二步：点击右上角「批注和划线」</h2>

    <h2>第三步：点击正文最下方「导出所有笔记」</h2>

    <h2>第四步：勾选「纯文本」，点击下载</h2>

    <h2>第五步：将下载的 .txt 文件拖动到下方</h2>

    <div id="drag-file">
      请将下载的 .txt 文件拖动至此
    </div>

    <h2>第六步：同步至手机</h2>

    <div id="upload" class="center">
      <p>重复笔记将被自动忽略</p>
      <button onclick="send()">同步至手机</button>
    </div>
  </div>

  <script>
    var doubanText;

    function dropHandler(event) {
      var file = event.dataTransfer.files[0];
      reader = new FileReader();
      reader.onload = function (event) {
        doubanText = event.target.result;

        var upload = document.getElementById('upload');
        upload.style.display = 'block';

        var drag = document.getElementById('drag-file');
        drag.style.display = 'none';
      };

      reader.onerror = function (err) {
        console.error(err);
        alert('打开文件失败！');
      };

      reader.readAsText(file);
      event.preventDefault();
    }

    function dragOverHandler(event) {
      // console.log(event);
      event.preventDefault();
    }

    function send() {
      if (doubanText) {
        var upload = document.getElementById('upload');
        upload.style.display = 'none';
        var success = function () {
          alert('导入笔记完成！');
        };
        var fail = function () {
          var drag = document.getElementById('drag-file');
          drag.style.display = 'block';
          alert('导入数据失败！');
        };
        post('importDouban', { text: doubanText }, success, fail);
      }
      else {
        var drag = document.getElementById('drag-file');
        drag.style.display = 'block';
        alert('错误：没有数据！');
      }
    }

    function post(url, data, success, fail) {
      var request = new XMLHttpRequest();
      request.onreadystatechange = function () {
        if (request.readyState === 4) {
          if (request.status === 200) {
            success(request.responseText);
          } else {
            console.error(request);
            fail(request.status);
          }
        }
      };
      var ip = location.href + url;
      request.open('POST', ip);
      request.setRequestHeader('Content-Type', 'application/json;charset=UTF-8');
      request.send(JSON.stringify(data));
    }
  </script>

</body>

</html>
`);


/***/ }),

/***/ "./src/app/utils/mock/kindleClipping.ts":
/*!**********************************************!*\
  !*** ./src/app/utils/mock/kindleClipping.ts ***!
  \**********************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony default export */ __webpack_exports__["default"] = (`我们时代的神经症人格（卡伦·霍妮作品）（与荣格、阿德勒、弗洛姆齐名的心理学大师，新弗洛伊德学派代表人物，唯一开创一个精神分析思想流派的女学者） (卡伦·霍尼作品集) (卡伦·霍妮)
- 您在位置 #323-325的标注 | 添加于 2016年12月15日星期四 下午9:16:00

神经症乃是一种由恐惧，由对抗这些恐惧的防御措施，由为了缓和内在冲突而寻求妥协解决的种种努力所导致的心理紊乱。从实际的角度考虑，只有当这种心理紊乱偏离了特定文化中共同的模式，我们才应该将它叫作神经症。
==========
我们时代的神经症人格（卡伦·霍妮作品）（与荣格、阿德勒、弗洛姆齐名的心理学大师，新弗洛伊德学派代表人物，唯一开创一个精神分析思想流派的女学者） (卡伦·霍尼作品集) (卡伦·霍妮)
- 您在位置 #1072-1080的标注 | 添加于 2016年12月15日星期四 下午9:17:29

如果神经症病人的心理状况正如他心目中经常想象的那样，那么，他要得到爱就应该是一件非常容易的事情。如果要我大致地说出神经症病人心中的感觉和印象，那就有些类似下面这样的情况：我所需要的是如此微乎其微，不过是希望他人应该对我友好，应该给我以善意的建议，应该同情和理解我这样一个可怜的、无害的、孤寂的灵魂；我只是急切地希望给他人以快乐，并不急切地希望伤害任何人的感情。这就是他心目中所想象所感觉的一切。他并没有意识到他的敏感、他的潜在的敌意、他的苛刻的要求是如何严重地干扰了他自己与他人的关系；他也不可能正确地判断他给别人留下的印象，以及别人对他做出的反应。因此，他自然感到茫然不解：为什么他的友谊、婚姻、爱情、工作、事业都经常不令人满意。他往往把这一切归结于他人的错误，认为是他们不体谅、不忠贞、不道德的缘故，或者就是某些深不可测的原因使他不具备受大众欢迎的天赋。因此他始终不断地追逐爱的幻象。
==========
我们时代的神经症人格（卡伦·霍妮作品）（与荣格、阿德勒、弗洛姆齐名的心理学大师，新弗洛伊德学派代表人物，唯一开创一个精神分析思想流派的女学者） (卡伦·霍尼作品集) (卡伦·霍妮)
- 您在位置 #1107-1108的标注 | 添加于 2016年12月15日星期四 下午9:21:03

爱和对爱的病态需要这两者之间的差别就在于：在真正的爱中，爱的感受是最主要的；而在病态的爱中，最主要的感受乃是安全感的需要，爱的错觉不过是次要的感受罢了。
==========
我们时代的神经症人格（卡伦·霍妮作品）（与荣格、阿德勒、弗洛姆齐名的心理学大师，新弗洛伊德学派代表人物，唯一开创一个精神分析思想流派的女学者） (卡伦·霍尼作品集) (卡伦·霍妮)
- 您在位置 #1109-1114的标注 | 添加于 2016年12月15日星期四 下午9:22:01

如果一个人需要另一个人的爱是为了获得对抗焦虑的安全感，则在他的自觉意识中，问题往往被完全搅和在一起。因为总的说来，他并不知道自己内心充满了焦虑，不知道自己因此而不顾一切地要抓住任何一种爱以获得安全感。他能够感觉到的仅仅是：我喜欢这个人，我信任这个人，我完全被他迷上了。然而，他这种自己觉得是发自内心的爱，却很可能只不过是对某种仁慈所产生的感激，或只不过是由某个人、某种情境所唤起的希望和温情。那个或明或暗地在他身上唤起了这种希望的人，不知不觉地被他赋予了某种重要性，而他对那人的感情则会表现为爱的错觉。
==========
我们时代的神经症人格（卡伦·霍妮作品）（与荣格、阿德勒、弗洛姆齐名的心理学大师，新弗洛伊德学派代表人物，唯一开创一个精神分析思想流派的女学者） (卡伦·霍尼作品集) (卡伦·霍妮)
- 您在位置 #1118-1121的标注 | 添加于 2016年12月15日星期四 下午9:23:12

而实际上这种爱，只不过是一个人为满足自己的需要而紧紧抓住对方不放。这并不是真正可靠的爱情，一旦自己的愿望得不到满足，这种感情就随时可能发生剧烈的转变。情感的可靠性和坚定性——我们爱情观中的一个基本因素——在这种情况下是根本不存在的。
==========
浮生取义:对华北某县自杀现象的文化解读（图文版） (新史学&多元对话系列) (吴飞)
- 您在位置 #567-568的标注 | 添加于 2016年12月20日星期二 上午9:48:55

如果哪个社会中完全没有自杀，从而根本不存在这样的人，人们不会认为有什么价值比生命还重要，那么，这个社会比高自杀率的社会还要危险。
==========
人生的智慧 (叔本华(Arthur Schopenhauer))
- 您在位置 #969-973的标注 | 添加于 2016年12月20日星期二 下午10:07:52

虚荣和骄傲之间的差别在于：骄傲就是确信自己拥有某一方面的突出价值，但虚荣则尽力让别人确信自己拥有某一方面的突出价值。在大多数的情况下，伴随着虚荣的还有这样一个隐藏着的希望：通过唤起别人的确信，能够使自己真的拥有这一份确信。因此，骄傲是发自内在的、直接的自我敬重；而虚荣则是从外在、因而是间接地努力试图获得这一自我敬重。
==========
如何阅读一本文学书 (托马斯·福斯特)
- 您在位置 #50-54的标注 | 添加于 2017年1月9日星期一 上午1:07:57

如果你作为老师或学生上过文学课，你就知道是怎么回事。有时仿佛老师是在捕风捉影，牵强附会，或者是故弄玄虚，卖弄技巧。 可实际上并非如此。确切地说，是因为老师涉猎较广，在多年阅读中学会了某种“阅读语言”，而学生则刚刚入门。我是指一种文学文法，一套常规与模式、规范与准则，学了这些，分析作品时便可派上用场。每种语言都有文法，即一套规范词语用法及意义的规则，文学语言也不例外。当然，和语言本身一样，这些规范多少都有点任意性。
==========
如何阅读一本文学书 (托马斯·福斯特)
- 您在位置 #81-82的标注 | 添加于 2017年1月9日星期一 上午1:10:15

记忆。象征。模式。在区分文学教授和普通读者时，这三条最为关键。
==========
如何阅读一本文学书 (托马斯·福斯特)
- 您在位置 #112-113的标注 | 添加于 2017年1月9日星期一 上午1:11:40

我在本书中想做的，也正是我在课堂上做的：让读者认识文学专业的学生是如何阅读的，并对阅读所需的规则和模式进行广泛介绍。
==========
如何阅读一本文学书 (托马斯·福斯特)
- 您在位置 #208-210的标注 | 添加于 2017年1月16日星期一 下午1:07:25

文学中的进餐也是表达友好之意。文学作品中还有另一个原因：吃饭的场景太难写，吃饭本身也没什么趣味，故而作家只有在确有必要原因时才会写吃饭。
==========`);


/***/ }),

/***/ "./src/app/utils/mock/kindleServer.ts":
/*!********************************************!*\
  !*** ./src/app/utils/mock/kindleServer.ts ***!
  \********************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony default export */ __webpack_exports__["default"] = (`
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>众山小 · 导入 Kindle 笔记</title>

  <style>
    body {
      background: #FAFBFF;
      padding: 20px 40px;
    }

    .content {
      max-width: 600px;
      margin: 0 auto;
    }

    h1 {
      text-align: center;
      color: #2B3C87;
      font-size: 22px;
      margin: 30px 0 50px 0;
    }

    h2 {
      margin: 20px 0 10px 0;
      font-size: 18px;
      color: #2A3566;
    }

    #drag-file {
      width: 100%;
      height: 130px;
      margin: 20px 0;
      padding: 50px;
      box-sizing: border-box;
      border-radius: 12px;
      background: none;
      text-align: center;
      border: 2px dashed #DFE5F6;
      background-color: #FAFBFF;
      color: #4853A7;
    }

    .center {
      text-align: center;
    }

    .hint {
      font-size: 10px;
    }

    #upload {
      display: none;
    }

    button {
      padding: 10px 50px;
      font-size: 16px;
      border-radius: 8px;
      border: none;
      color: #fff;
      background-color: #4853A7;
    }

    p {
      margin: 20px 0 5px 0;
      color: #7B8095;
    }
  </style>
</head>

<body ondrop="dropHandler(event)" ondragover="dragOverHandler(event)">
  <div class="content">
    <h1>众山小 · 导入 Kindle 笔记</h1>

    <h2>第一步：将 Kindle 用 USB 链接到电脑</h2>

    <h2>第二步：将 Documents 目录下的 My clippings.txt 文件拖到下方</h2>
    <p class="hint">文件大小：目前支持的最大文件大小是 2MB，如果文件超过这个大小，请拆分为多个文件导入（<a href="#" onclick="alert('可以在任意一条笔记后的 ========== 处拆分为多个文件，分别上传')">如何？</a>）。我们将在未来的版本中改进这一点。</p>

    <div id="drag-file">
      请将 My clippings.txt 拖动至此
    </div>

    <h2>第三步：同步至手机</h2>

    <div id="upload" class="center">
      <p>重复笔记将被自动忽略</p>
      <button onclick="send()">同步至手机</button>
    </div>
  </div>

  <script>
    var kindleText;

    function dropHandler(event) {
      var file = event.dataTransfer.files[0];
      reader = new FileReader();
      reader.onload = function (event) {
        kindleText = event.target.result;
        if (kindleText.indexOf('===') < 0) {
          alert('文件格式错误！');
          return;
        }

        var upload = document.getElementById('upload');
        upload.style.display = 'block';

        var drag = document.getElementById('drag-file');
        drag.style.display = 'none';
      };
      reader.readAsText(file);

      event.preventDefault();
    }

    function dragOverHandler(event) {
      // console.log(event);
      event.preventDefault();
    }

    function send() {
      if (kindleText) {
        var upload = document.getElementById('upload');
        upload.style.display = 'none';
        var success = function () {
          alert('导入笔记完成！');
        };
        var fail = function () {
          var drag = document.getElementById('drag-file');
          drag.style.display = 'block';
          alert('导入数据失败！');
        };
        post('importKindle', { text: kindleText }, success, fail);
      }
      else {
        var drag = document.getElementById('drag-file');
        drag.style.display = 'block';
        alert('错误：没有数据！');
      }
    }

    function post(url, data, success, fail) {
      var request = new XMLHttpRequest();
      request.onreadystatechange = function () {
        if (request.readyState === 4) {
          if (request.status === 200) {
            success(request.responseText);
          } else {
            console.error(request);
            fail(request.status);
          }
        }
      };
      var ip = location.href + url;
      request.open('POST', ip);
      request.setRequestHeader('Content-Type', 'application/json;charset=UTF-8');
      request.send(JSON.stringify(data));
    }
  </script>

</body>

</html>
`);


/***/ })

}]);
//# sourceMappingURL=default~pages-book-book-module~pages-home-home-module~pages-import-note-result-import-note-result-mo~a98ccc87-es2015.js.map