(window["webpackJsonp"] = window["webpackJsonp"] || []).push([["default~pages-book-book-module~tab3-tab3-module"],{

/***/ "./src/app/entities/exporters/exporter.ts":
/*!************************************************!*\
  !*** ./src/app/entities/exporters/exporter.ts ***!
  \************************************************/
/*! exports provided: exportFormat, exportMedia, Exporter */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "exportFormat", function() { return exportFormat; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "exportMedia", function() { return exportMedia; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "Exporter", function() { return Exporter; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");

var exportFormat;
(function (exportFormat) {
    exportFormat[exportFormat["html"] = 1] = "html";
    exportFormat[exportFormat["txt"] = 2] = "txt";
    exportFormat[exportFormat["md"] = 3] = "md";
})(exportFormat || (exportFormat = {}));
;
var exportMedia;
(function (exportMedia) {
    exportMedia[exportMedia["email"] = 1] = "email";
    exportMedia[exportMedia["clipboard"] = 2] = "clipboard";
    exportMedia[exportMedia["file"] = 3] = "file";
})(exportMedia || (exportMedia = {}));
;
class Exporter {
    constructor(storage) {
        this.storage = storage;
    }
    loadData(bookId) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            if (bookId) {
                const book = yield this.storage.getBook(bookId);
                yield this.storage.localFetchNotesOfBook(book);
                this.books = [book];
                this.records = yield this.storage.getRecords(book);
            }
            else {
                this.books = yield this.storage.getAllBooks();
                this.records = yield this.storage.getRecords();
                yield Promise.all(this.books.map((book) => Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
                    yield this.storage.localFetchNotesOfBook(book);
                })));
            }
        });
    }
    toJsonStr() {
        return JSON.stringify({
            books: this.books,
            records: this.records
        });
    }
}


/***/ }),

/***/ "./src/app/entities/exporters/htmlExporter.ts":
/*!****************************************************!*\
  !*** ./src/app/entities/exporters/htmlExporter.ts ***!
  \****************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "default", function() { return HtmlExporter; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var moment__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! moment */ "./node_modules/moment/moment.js");
/* harmony import */ var moment__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(moment__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _exporter__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./exporter */ "./src/app/entities/exporters/exporter.ts");
/* harmony import */ var src_app_utils_string__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! src/app/utils/string */ "./src/app/utils/string.ts");




class HtmlExporter extends _exporter__WEBPACK_IMPORTED_MODULE_2__["Exporter"] {
    constructor(storage) {
        super(storage);
        this.storage = storage;
    }
    export(bookId) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            yield this.loadData(bookId);
            return this.getHtml();
        });
    }
    getHtml() {
        let template = `
      <html>
        <body>
          <h1>众山小 · 读书笔记</h1>
    `;
        this.books.forEach(book => {
            if (!book.notes.length) {
                return;
            }
            template += `
        <h2 class="book-title" id="book-${book.id}">${book.title}</h2>
        <div class="book-author">${book.author}</div>
      `;
            if (book.image) {
                template += `
        <img class="book-image" src="${book.image}">`;
            }
            book.notes.forEach(note => {
                template += `
          <div class="note" id="note-${note.id}">
            <div class="note-time">${moment__WEBPACK_IMPORTED_MODULE_1__(note.createdTime).format('YYYY-MM-DD HH:mm:ss')}</div>
        `;
                if (note.citation) {
                    template += `
            <div class="note-citation">
              ${formatHtml(note.citation)}
            </div>
          `;
                }
                if (note.thoughts) {
                    template += `
            <blockquote class="note-thoughts">
              ${formatHtml(note.thoughts)}
            </blockquote>
          `;
                }
                if (note.image) {
                    template += `
          <div class="note-image">
            <img class="note-image" src="${note.image}">
          </div>
          `;
                }
                template += '</div>';
            });
        });
        template += `
        </body>
      </html>
    `;
        return template;
    }
}
function formatHtml(text) {
    return Object(src_app_utils_string__WEBPACK_IMPORTED_MODULE_3__["replaceAll"])(text, '\n', '<br>');
}


/***/ }),

/***/ "./src/app/entities/exporters/mdExporter.ts":
/*!**************************************************!*\
  !*** ./src/app/entities/exporters/mdExporter.ts ***!
  \**************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "default", function() { return MdExporter; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var moment__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! moment */ "./node_modules/moment/moment.js");
/* harmony import */ var moment__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(moment__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _exporter__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./exporter */ "./src/app/entities/exporters/exporter.ts");
/* harmony import */ var src_app_utils_string__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! src/app/utils/string */ "./src/app/utils/string.ts");




class MdExporter extends _exporter__WEBPACK_IMPORTED_MODULE_2__["Exporter"] {
    constructor(storage) {
        super(storage);
        this.storage = storage;
    }
    export(bookId) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            yield this.loadData(bookId);
            return this.getTxt();
        });
    }
    getTxt() {
        let template = '# 众山小 · 读书笔记\n';
        this.books.forEach(book => {
            if (!book.notes.length) {
                return;
            }
            template += `\n## ${book.title}\n\n${book.author}\n\n`;
            book.notes.forEach(note => {
                template += `### ${moment__WEBPACK_IMPORTED_MODULE_1__(note.createdTime).format('YYYY-MM-DD HH:mm:ss')}\n\n`;
                if (note.citation) {
                    // 引用可以是多行的，为每行增加 >
                    let citation = Object(src_app_utils_string__WEBPACK_IMPORTED_MODULE_3__["replaceAll"])(note.citation, '\n', '\n> ');
                    // 去掉最后的 >
                    citation = citation.slice(0, citation.length - 1);
                    template += `> ${citation}\n\n`;
                }
                if (note.thoughts) {
                    template += `${note.thoughts}\n\n`;
                }
                template += '\n';
            });
        });
        return template;
    }
}


/***/ }),

/***/ "./src/app/entities/exporters/txtExporter.ts":
/*!***************************************************!*\
  !*** ./src/app/entities/exporters/txtExporter.ts ***!
  \***************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "default", function() { return TxtExporter; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var moment__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! moment */ "./node_modules/moment/moment.js");
/* harmony import */ var moment__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(moment__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _exporter__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./exporter */ "./src/app/entities/exporters/exporter.ts");



class TxtExporter extends _exporter__WEBPACK_IMPORTED_MODULE_2__["Exporter"] {
    constructor(storage) {
        super(storage);
        this.storage = storage;
    }
    export(bookId) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            yield this.loadData(bookId);
            return this.getTxt();
        });
    }
    getTxt() {
        let template = '众山小 · 读书笔记\n';
        this.books.forEach(book => {
            if (!book.notes.length) {
                return;
            }
            template += `------------\n\n${book.title}\n${book.author}\n\n`;
            book.notes.forEach(note => {
                template += `${moment__WEBPACK_IMPORTED_MODULE_1__(note.createdTime).format('YYYY-MM-DD HH:mm:ss')}\n`;
                if (note.citation) {
                    template += `${note.citation}\n`;
                }
                if (note.thoughts) {
                    template += `感想：${note.thoughts}\n`;
                }
                template += '\n';
            });
        });
        return template;
    }
}


/***/ }),

/***/ "./src/app/services/export.service.ts":
/*!********************************************!*\
  !*** ./src/app/services/export.service.ts ***!
  \********************************************/
/*! exports provided: ExportService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ExportService", function() { return ExportService; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js");
/* harmony import */ var _ionic_native_email_composer_ngx__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @ionic-native/email-composer/ngx */ "./node_modules/@ionic-native/email-composer/__ivy_ngcc__/ngx/index.js");
/* harmony import */ var _ionic_angular__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @ionic/angular */ "./node_modules/@ionic/angular/__ivy_ngcc__/fesm2015/ionic-angular.js");
/* harmony import */ var moment__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! moment */ "./node_modules/moment/moment.js");
/* harmony import */ var moment__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(moment__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../entities/exporters/exporter */ "./src/app/entities/exporters/exporter.ts");
/* harmony import */ var _entities_exporters_htmlExporter__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../entities/exporters/htmlExporter */ "./src/app/entities/exporters/htmlExporter.ts");
/* harmony import */ var _entities_exporters_txtExporter__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../entities/exporters/txtExporter */ "./src/app/entities/exporters/txtExporter.ts");
/* harmony import */ var _entities_exporters_mdExporter__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../entities/exporters/mdExporter */ "./src/app/entities/exporters/mdExporter.ts");
/* harmony import */ var _storage_service__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./storage.service */ "./src/app/services/storage.service.ts");
/* harmony import */ var _file_service__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./file.service */ "./src/app/services/file.service.ts");
/* harmony import */ var _utils_env__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../utils/env */ "./src/app/utils/env.ts");
/* harmony import */ var _clipboard_service__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ./clipboard.service */ "./src/app/services/clipboard.service.ts");
/* harmony import */ var _analytics_service__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ./analytics.service */ "./src/app/services/analytics.service.ts");
/* harmony import */ var _taptic_service__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ./taptic.service */ "./src/app/services/taptic.service.ts");
/* harmony import */ var _store_service__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ./store.service */ "./src/app/services/store.service.ts");
/* harmony import */ var _components_modal_pro_pro_component__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! ../components/modal/pro/pro.component */ "./src/app/components/modal/pro/pro.component.ts");

















let ExportService = class ExportService {
    constructor(storage, emailComposer, fileService, clipboard, analytics, taptic, store, modal, alert, toast, actionSheetCtrl, platform, loading) {
        this.storage = storage;
        this.emailComposer = emailComposer;
        this.fileService = fileService;
        this.clipboard = clipboard;
        this.analytics = analytics;
        this.taptic = taptic;
        this.store = store;
        this.modal = modal;
        this.alert = alert;
        this.toast = toast;
        this.actionSheetCtrl = actionSheetCtrl;
        this.platform = platform;
        this.loading = loading;
        this._htmlExporter = new _entities_exporters_htmlExporter__WEBPACK_IMPORTED_MODULE_6__["default"](this.storage);
        this._txtExporter = new _entities_exporters_txtExporter__WEBPACK_IMPORTED_MODULE_7__["default"](this.storage);
        this._mdExporter = new _entities_exporters_mdExporter__WEBPACK_IMPORTED_MODULE_8__["default"](this.storage);
    }
    exportNotes(pageName, bookId) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            this.analytics.logClick(pageName, 'note_export');
            const doExport = (format) => Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
                const target = format === _entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__["exportFormat"].html ? 'html'
                    : (format === _entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__["exportFormat"].md ? 'md' : 'txt');
                this.analytics.logClick(pageName, 'note_export_' + target);
                const media = yield chooseMedia();
                if (media != null) {
                    const isSuccess = yield this._doExportNotes(format, media, bookId);
                    if (isSuccess) {
                        this.taptic.notifSuccess();
                    }
                    else {
                        this.taptic.notifError();
                    }
                }
            });
            const chooseMedia = () => Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
                return new Promise((resolve) => Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
                    let buttons = (_utils_env__WEBPACK_IMPORTED_MODULE_11__["isDebug"] || this.platform.is('android')
                        ? []
                        : [{
                                text: '发送至邮箱',
                                handler: () => {
                                    resolve(_entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__["exportMedia"].email);
                                }
                            }])
                        .concat([{
                            text: '复制到剪贴板',
                            handler: () => {
                                resolve(_entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__["exportMedia"].clipboard);
                            }
                        }, {
                            text: '保存到本地文件',
                            handler: () => {
                                resolve(_entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__["exportMedia"].file);
                            }
                        }, {
                            text: '（更多方式正在开发中）',
                            handler: () => {
                                resolve(null);
                            }
                        }]);
                    const mediaSheet = yield this.actionSheetCtrl.create({
                        header: '选择导出方式',
                        buttons
                    });
                    mediaSheet.present();
                }));
            });
            const actionsheet = yield this.actionSheetCtrl.create({
                header: '选择导出格式',
                buttons: [{
                        text: 'HTML',
                        handler: () => {
                            doExport(_entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__["exportFormat"].html);
                            actionsheet.dismiss();
                        }
                    }, {
                        text: 'TEXT',
                        handler: () => {
                            doExport(_entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__["exportFormat"].txt);
                            actionsheet.dismiss();
                        }
                    }, {
                        text: 'Markdown（会员）',
                        handler: () => {
                            this.store.init(() => Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
                                this.store.checkProExpired();
                                if (this.store.storeInfo.isPro) {
                                    doExport(_entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__["exportFormat"].md);
                                    actionsheet.dismiss();
                                }
                                else {
                                    const modal = yield this.modal.create({
                                        component: _components_modal_pro_pro_component__WEBPACK_IMPORTED_MODULE_16__["ProComponent"],
                                        componentProps: {
                                            reason: '订阅会员以导出更多格式的笔记',
                                            reasonId: 'note_export_md',
                                            ref: 'book'
                                        }
                                    });
                                    modal.present();
                                }
                            }));
                        }
                    }, {
                        text: '取消',
                        role: 'cancel'
                    }]
            });
            yield actionsheet.present();
        });
    }
    _doExportNotes(format, media, bookId) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            let content;
            let suffix;
            if (format === _entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__["exportFormat"].html) {
                content = yield this._htmlExporter.export(bookId);
                suffix = 'html';
            }
            else if (format === _entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__["exportFormat"].txt) {
                content = yield this._txtExporter.export(bookId);
                suffix = 'txt';
            }
            else if (format === _entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__["exportFormat"].md) {
                content = yield this._mdExporter.export(bookId);
                suffix = 'md';
            }
            const timestamp = moment__WEBPACK_IMPORTED_MODULE_4__().format('YYYYMMDD-HHmmss');
            const fileName = `omynote-${timestamp}.${suffix}`;
            switch (media) {
                case _entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__["exportMedia"].email:
                    if (Object(_utils_env__WEBPACK_IMPORTED_MODULE_11__["isDebug"])()) {
                        console.log('write to file:', fileName, content);
                        return true;
                    }
                    try {
                        const filePath = yield this.fileService.write(content, fileName, _file_service__WEBPACK_IMPORTED_MODULE_10__["FileDirType"].exportTmp);
                        const alert = yield this.alert.create({
                            header: '即将编辑邮件',
                            message: '如果没有反应，请检查系统设置中是否配置了邮箱',
                            buttons: [{
                                    text: '好的',
                                    handler: () => Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
                                        try {
                                            const email = {
                                                attachments: [
                                                    filePath
                                                ],
                                                subject: '众山小 - 读书笔记',
                                                body: moment__WEBPACK_IMPORTED_MODULE_4__().format('YYYY-MM-DD HH:mm:ss'),
                                                isHtml: true
                                            };
                                            yield this.emailComposer.open(email);
                                        }
                                        catch (e) {
                                            this._alertFailure();
                                        }
                                    })
                                }]
                        });
                        yield alert.present();
                        return true;
                    }
                    catch (e) {
                        console.error(e);
                        this._alertFailure();
                        return false;
                    }
                case _entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__["exportMedia"].clipboard:
                case _entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__["exportMedia"].file:
                    let loading = yield this.loading.create({
                        message: '导出中……'
                    });
                    loading.present();
                    try {
                        if (media === _entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__["exportMedia"].clipboard) {
                            yield this.clipboard.copyToClipboard(content);
                            const alert = yield this.alert.create({
                                header: '复制成功',
                                message: '笔记已复制到剪贴板，请前往其他应用粘贴'
                            });
                            alert.present();
                        }
                        else {
                            const filePath = yield this.fileService.write(content, fileName, _file_service__WEBPACK_IMPORTED_MODULE_10__["FileDirType"].exportSafeData);
                            if (filePath) {
                                const alert = yield this.alert.create({
                                    header: '保存成功',
                                    message: `笔记已保存至 ${filePath}`
                                });
                                alert.present();
                            }
                        }
                        loading.dismiss();
                        loading = null;
                    }
                    catch (e) {
                        loading && loading.dismiss();
                        this._alertFailure();
                        return false;
                    }
                    return true;
            }
            return false;
        });
    }
    _alertFailure() {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, function* () {
            const alert = yield this.alert.create({
                header: '复制失败',
                message: '如果始终无法复制，请联系 admin@omynote.com'
            });
            alert.present();
        });
    }
};
ExportService.ctorParameters = () => [
    { type: _storage_service__WEBPACK_IMPORTED_MODULE_9__["StorageService"] },
    { type: _ionic_native_email_composer_ngx__WEBPACK_IMPORTED_MODULE_2__["EmailComposer"] },
    { type: _file_service__WEBPACK_IMPORTED_MODULE_10__["FileService"] },
    { type: _clipboard_service__WEBPACK_IMPORTED_MODULE_12__["ClipboardService"] },
    { type: _analytics_service__WEBPACK_IMPORTED_MODULE_13__["AnalyticsService"] },
    { type: _taptic_service__WEBPACK_IMPORTED_MODULE_14__["TapticService"] },
    { type: _store_service__WEBPACK_IMPORTED_MODULE_15__["StoreService"] },
    { type: _ionic_angular__WEBPACK_IMPORTED_MODULE_3__["ModalController"] },
    { type: _ionic_angular__WEBPACK_IMPORTED_MODULE_3__["AlertController"] },
    { type: _ionic_angular__WEBPACK_IMPORTED_MODULE_3__["ToastController"] },
    { type: _ionic_angular__WEBPACK_IMPORTED_MODULE_3__["ActionSheetController"] },
    { type: _ionic_angular__WEBPACK_IMPORTED_MODULE_3__["Platform"] },
    { type: _ionic_angular__WEBPACK_IMPORTED_MODULE_3__["LoadingController"] }
];
ExportService = Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"])([
    Object(_angular_core__WEBPACK_IMPORTED_MODULE_1__["Injectable"])({
        providedIn: 'root'
    })
], ExportService);



/***/ })

}]);
//# sourceMappingURL=default~pages-book-book-module~tab3-tab3-module-es2015.js.map